Package org.apache.sling.event.impl.jobs.config

# Class TopologyHandler

java.lang.Object
org.apache.sling.event.impl.jobs.config.TopologyHandler

All Implemented Interfaces:
  `Runnable`, `org.apache.sling.discovery.TopologyEventListener`

public class TopologyHandler extends Object implements org.apache.sling.discovery.TopologyEventListener, Runnable
This topology handler is handling the topology change events asynchronously and processes them by queuing them.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`TopologyHandler.QueueItem`
We need a holder class to be able to put something into the queue to stop it.

## Constructor Summary

Constructors
Constructor
Description
`TopologyHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate()`
`protected void`
`deactivate()`
`void`
`handleTopologyEvent(org.apache.sling.discovery.TopologyEvent event)`
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TopologyHandler

public TopologyHandler()

## Method Details

### activate

protected void activate()

### deactivate

protected void deactivate()

### handleTopologyEvent

public void handleTopologyEvent(org.apache.sling.discovery.TopologyEvent event)

Specified by:
  `handleTopologyEvent` in interface `org.apache.sling.discovery.TopologyEventListener`

### run

public void run()

Specified by:
  `run` in interface `Runnable`